use std::fs;

use anyhow::Result;

use crate::models::config_model::ConfigModel;

pub(crate) struct ConfigService;

impl ConfigService {
    pub fn save_config(model: ConfigModel) ->Result<()> {
        let json = serde_json::to_string(&model)?;
        fs::write("config.json", json)?;
        Ok(())
    }

    pub fn load_config() -> Result<ConfigModel> {
        let json = fs::read_to_string("config.json")?;
        let model: ConfigModel = serde_json::from_str(&json)?;
        Ok(model)
    }
}